package kr.co.vividnext.sodalive.audio_content.main.v2.alarm

import kr.co.vividnext.sodalive.audio_content.AudioContentApi
import kr.co.vividnext.sodalive.common.SharedPreferenceManager
import kr.co.vividnext.sodalive.settings.ContentType

class AudioContentMainTabAlarmRepository(private val api: AudioContentApi) {
    fun getContentMainAlarm(token: String) = api.getContentMainAlarm(
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )

    fun getContentMainAlarmAll(
        theme: String,
        page: Int,
        size: Int,
        token: String
    ) = api.getContentMainAlarmAll(
        theme = theme,
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        page = page - 1,
        size = size,
        authHeader = token
    )
}
