package kr.co.vividnext.sodalive.audio_content.main.v2.content

import kr.co.vividnext.sodalive.audio_content.AudioContentApi
import kr.co.vividnext.sodalive.common.SharedPreferenceManager
import kr.co.vividnext.sodalive.settings.ContentType

class AudioContentMainTabContentRepository(private val api: AudioContentApi) {
    fun getContentMainContent(token: String) = api.getContentMainContent(
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )

    fun getNewContentOfTheme(theme: String, token: String) = api.getContentMainNewContentOfTheme(
        theme = theme,
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )

    fun getContentRanking(
        sortType: String = "매출",
        token: String
    ) = api.getDailyContentRanking(
        sortType = sortType,
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )

    fun getPopularContentByCreator(
        creatorId: Long,
        token: String
    ) = api.getContentMainContentPopularContentByCreator(
        creatorId,
        isAdultContentVisible = SharedPreferenceManager.isAdultContentVisible,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )

    fun getRecommendedContentByTag(
        tag: String,
        token: String
    ) = api.getRecommendedContentByTag(
        tag = tag,
        contentType = ContentType.values()[SharedPreferenceManager.contentPreference],
        authHeader = token
    )
}
